<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-tip-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-grid-v2.0.source.js"></script>
<script type="text/javascript" src="/js/datepicker.js"></script>

<script type="text/javascript" src="/js/mootabs1.2.js"></script>
<script type="text/javascript" src="/js/password-meter.js"></script>

<script type="text/javascript" src="/js/autocompleter/Observer.js"></script>
<script type="text/javascript" src="/js/autocompleter/Autocompleter.js"></script>
<script type="text/javascript" src="/js/autocompleter/Autocompleter.Request.js"></script>

<script type="text/javascript" src="/js/cubix-selectbox.js"></script>

<script type="text/javascript" src="/js/cubix-uploader-v1.0.source.js"></script>

<script type="text/javascript" src="/js/escort-photos.js"></script>


<script type="text/javascript" src="/js/moo-uploader.js"></script>

	
<? $this->headLink()->prependStylesheet($this->baseUrl() . '/css/moo-uploader/style.css');?>
<script type="text/javascript">
Cubix.ready = function () {
	new Cubix.Shadow($('content'));
	
	var popup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save & Add Transfer', icon: 'add', action: function () {
				Cubix.Popup.Actions.SaveValid.bind(this)(function (resp) {
					this.fireEvent('addOrder', [resp.order_id]);
				});
			} },
			{ caption: 'Save', icon: 'add', action: function () {
				var old_instance = Cubix.Grid.Instance;
				Cubix.Grid.Instance = window.OrderGrid;
				Cubix.Popup.Actions.SaveValid.bind(this)(function (resp) {
					Cubix.Grid.Instance = old_instance;
				});
			} },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 900
	});
	window.OrderPopup = popup;
	
	var editPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'add', action: function () {
				var old_instance = Cubix.Grid.Instance;
				Cubix.Grid.Instance = window.OrderGrid;
				Cubix.Popup.Actions.SaveValid.bind(this)(function (resp) {
					Cubix.Grid.Instance = old_instance;
				});
			} },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 900
	});
	window.editPopup = editPopup;

	var detailsPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.Save },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 1100
	});

	var PackagesPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Add', icon: 'add', action: function () {
				var old_instance = Cubix.Grid.Instance;
				Cubix.Grid.Instance = window.OrderPackagesGrid;
				(Cubix.Popup.Actions.SaveValid.bind(this))(function () {
					Cubix.Grid.Instance = old_instance;
				});
			} },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 950,
		zIndex: function () { return Cubix.Popup.zIndex + 4 }
	});
	window.PackagesPopup = PackagesPopup;

	window.TransferPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'add', action: function () {
				var old_instance = Cubix.Grid.Instance;
				Cubix.Grid.Instance = window.OrderGrid;
				Cubix.Popup.Actions.SaveValid.bind(this)(function (resp) {
					Cubix.Grid.Instance = old_instance;
				});
			} },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 940
	});
	
	/*var PackagesEditPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Edit', icon: 'Edit', action: function () {
				var old_instance = Cubix.Grid.Instance;
				Cubix.Grid.Instance = window.OrderPackagesGrid;
				(Cubix.Popup.Actions.SaveValid.bind(this))(function () {
					Cubix.Grid.Instance = old_instance;
				});
			} },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 550,
		zIndex: function () { return Cubix.Popup.zIndex + 2 }
	});
	window.PackagesEditPopup = PackagesEditPopup;*/

	/* >>> Sales Users by Application ID */
	if ( $('f-app-id') ) {
		$('f-app-id').addEvent('change', function () {
			var app_id = this.getSelected()[0].get('value');
			var select = $('f-sales-user-id').set('disabled', 'disabled').addClass('disabled');
			select.empty();
			new Request({
				url: '/billing/orders/ajax-sales-users',
				method: 'get',
				data: { app_id: app_id },
				onComplete: function (resp) {
					var users = JSON.decode(resp);

					if ( users.length ) {
						new Element('option', {
							value: '',
							html: '- - - '
						}).inject(select);
					}

					users.each(function (user) {
						new Element('option', {
							value: user.id,
							html: user.username
						}).inject(select);
					});

					if ( users.length ) {
						select.set('disabled', null);
						select.getParent('.inner').removeClass('disabled');
					}
				}
			}).send();
		});
	}
	/* <<< */
	
	var initDateFilter = function(filter_form)
	{
		date_from_picker = $(filter_form).getElement('.f-date-from');
		var date_from =	new Picker.Date(date_from_picker, { pickerClass: 'datepicker',
			positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });
		date_to_picker = $(filter_form).getElement('.f-date-to');
		var date_to = new Picker.Date(date_to_picker, { pickerClass: 'datepicker',
				positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });

		/*function resetDefinedDate()
		{
			$('f-dates-defined').set('value', '');
		}*/

		//$(filter_form).getElement('#f-filter-by').removeEvent('change');
		$(filter_form).getElement('.f-filter-by').addEvent('change', function() {
			if ( this.get('value') ) {
				$(filter_form).getElement('.f-dates-defined').set('disabled', '');
				$(filter_form).getElement('.f-date-from').set('disabled', '');
				$(filter_form).getElement('.f-date-to').set('disabled', '');
				$(filter_form).getElement('.f-date-from').getNext().set('disabled', '');
				$(filter_form).getElement('.f-date-to').getNext().set('disabled', '');

				$(filter_form).getElement('.f-dates-defined').addEvent('change', function() {

					switch(this.get('value'))
					{
						case '':
							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(new Date()), true);

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(new Date()), true);
						break;
						case 'today':
							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(new Date()));

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(new Date()));
						break;
						case 'yesterday':
							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(new Date().decrement('day', 1)));

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(new Date()));
						break;
						case 'last_7_days':
							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(new Date().decrement('day', 7)));

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(new Date()));
						break;
						case 'this_month':
							var last_day = new Date().get('lastdayofmonth');

							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(new Date().set('date', 1)));

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(new Date().set('date', last_day)));
						break;
						case 'last_month':
							var last_month = new Date().decrement('month', 1);

							var last_day = last_month.get('lastdayofmonth');

							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(last_month.set('date', 1)));

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(last_month.set('date', last_day)));
						break;
					}
				});
			}
			else
			{
				$(filter_form).getElement('.f-dates-defined').set('value', '');
				$(filter_form).getElement('.f-dates-defined').set('disabled', 'disabled');

				date_from.onFocus(date_from.item, date_from.clone, true);
				date_from.select(date_from.dateToObject(new Date()), true);

				date_to.onFocus(date_to.item, date_to.clone, true);
				date_to.select(date_to.dateToObject(new Date()), true);

				$(filter_form).getElement('.f-date-from').set('disabled', 'disabled');
				$(filter_form).getElement('.f-date-to').set('disabled', 'disabled');

				$(filter_form).getElement('.f-date-from').getNext().set('disabled', 'disabled');
				$(filter_form).getElement('.f-date-to').getNext().set('disabled', 'disabled');
			}
		});
	};

	initDateFilter('search-form');
	
	<? if ( strlen($this->filter_params['filter_by']) > 0 ): ?>
		$('search-form').getElement('.f-filter-by').fireEvent('change');
	<? endif; ?>

	<? if ( strlen($this->filter_params['dates_defined']) > 0 ): ?>
		$('search-form').getElement('.f-dates-defined').set('value', '<?= $this->filter_params['dates_defined'] ?>');
		$('search-form').getElement('.f-dates-defined').fireEvent('change');
	<? endif; ?>

	var getFilterParams = function () {
		/*
		is_open = $('toggle-advanced-search').get('class');

		sform = 'q-search-form';
		if ( is_open == 'opened' )
			sform = 'a-search-form';
		*/
		sform = 'search-form';
		var uri = new URI('?' + $(sform).toQueryString());
		
		$$('#export-link').set('href', '/billing/orders/export' + '?' + $(sform).toQueryString());

		return uri.get('data');
	};

	<? $bu_user = Zend_Auth::getInstance()->getIdentity(); ?>
	var menu = new ActionsMenu([
		{ name: 'details', icon: 'details', caption: 'Details', func: defaultAction = function (data) {
			detailsPopup.setTitle('Order Details');
			detailsPopup.load('/billing/orders/details?id=' + data.id, function () {
				this.open();
			});
		} },
		{ name: 'edit', icon: 'edit', caption: 'Edit Order', func: function (data) {
			window.editPopup.setTitle('Edit Order - ' + data.system_order_id);
			window.editPopup.load('/billing/orders/edit?order_id=' + data.id, function () {
				this.open();
			});
		} },
		{ name: 'transfer', icon: 'money', caption: 'Add Transfer', func: function (data) {
			window.TransferPopup.setTitle('Add New Transfer');
			window.TransferPopup.load('/billing/transfers/create?order_id=' + data.id, function () {
				this.open();
			});
		} }
		<? /*if ( $bu_user->type == 'superadmin' ):*/ ?>
		,{ name: 'remove', icon: 'remove', caption: 'Remove Order', func: function (data) {
			if ( confirm('Are you sure you want to delete this order?') ) {				
				new Request({
					url: '/billing/orders/remove?order_id=' + data.id,
					onSuccess: function (resp) {						
						grid.load();
					}.bind(this)
				}).send();
			}
		} }
		<? /*endif;*/ ?>
		,{ name: 'close', icon: 'remove', caption: 'Close Order', func: function (data) {
			if ( confirm('Are you sure you want to close this order?') ) {				
				new Request({
					url: '/billing/orders/close?order_id=' + data.id,
					onSuccess: function (resp) {						
						grid.load();
					}.bind(this)
				}).send();
			}
		} }
	], { icon: 'details', mode: 'mouse' });

	menu.addEvent('show', function (data) {
		this.actions['close'].disable();
		
		<? /*if ( $bu_user->type == 'superadmin' ):*/ ?>
		if ( data.status.toLowerCase() == 'pending' ) {
			this.actions['remove'].enable();
		}
		else {
			this.actions['remove'].disable();
		}
		<? /*endif;*/ ?>
		if ( data.status.toLowerCase() == 'pending' || data.status.toLowerCase() == 'payment rejected' ) {
			this.actions['transfer'].enable();
		}
		else {
			this.actions['transfer'].disable();
		}

		if ( data.status.toLowerCase() == 'pending' || data.status.toLowerCase() == 'payment details received' || data.status.toLowerCase() == 'payment rejected' ) {
			this.actions['edit'].enable();
		}
		else {
			this.actions['edit'].disable();
		}
		
		<? if ( $bu_user->type == 'superadmin' ): ?>
		if ( data.status.toLowerCase() == 'payment rejected' ) {
			this.actions['remove'].enable();
		}		
		
		if ( data.status.toLowerCase() == 'payment details received' ) {
			this.actions['remove'].enable();
		}
		<? endif; ?>
			
		<? if ( $bu_user->type == 'superadmin' || $bu_user->type == 'payments manager' ): ?>
		if ( data.status.toLowerCase() == 'payment rejected' ) {
			this.actions['close'].enable();
		}		
		<? endif; ?>
		
	});

	var grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
		preload: true,
		
		identifier: { field: 'id' },
		header: [
			{ title: 'Ads. ID', field: 'ads_id', type: 'number', sortable: false },
			{ title: 'Display Name', field: '', sortField: 'u.username', type: 'UserTypeIcon', sortable: true },
			{ title: 'Order ID', field: 'system_order_id', type: 'OrderId', sortable: true, width: '69px' },
			{ title: 'Sales Person', field: 'sales_username_real', sortField: 'bu2.username', type: 'string', sortable: false,  width: '99px' },
			{ title: 'Packages', field: 'packages', type: 'number', width: '70px' },
			{ title: 'Order Date', field: 'order_date', sortField: 'o.id', type: 'DateTime', sortable: true, width: '85px' },
			{ title: 'Payment Date', field: 'payment_date', type: 'DateTime', sortable: true, width: '105px' },
			{ title: 'Vendor', field: 'sales_username', sortField: 'bu.username', type: 'string', sortable: false,  width: '61px' },
			{ title: 'Price', field: 'price', sortField: 'o.price', type: 'Currency', format: { currency: '$' }, sortable: true, width: '49px' },
			{ title: 'Real', field: 'real_payment', type: 'RealCurrency', format: { currency: '$' }, sortable: false, width: '90px' },
			{ title: 'Status', field: 'id', type: 'OrderStatus', sortField: 'o.status', sortable: true, width: '87px' },
			{ title: 'Activation', field: 'condition', type: 'string', width: '87px' }
		],
		sort: {
			field: 'o.order_date',
			dir: 'DESC'
		},
		actions: [
            
            /*{ type: 'remove', func: function (data) {
			if ( confirm('Are you sure you want to delete this order?') ) {
				this.overlay.disable();
				new Request({
					url: '/billing/orders/delete?id=' + data.id,
					onSuccess: function () {
						grid.load();
					}.bind(this)
				}).send();
			}
		} },*/ { type: 'details', mouseenter: function (data, btn) {
			menu.show(btn, data);
		} } ],
		data: new Cubix.Grid.Loader({ url: '/billing/orders/data', params: getFilterParams })
	}).addEvent('rightclick', function (data, e) {
		e.stop();
		menu.show({ left: e.page.x, top: e.page.y + 3 }, data, false);
	});
	window.OrderGrid = grid;

	/* Agency and Escort popups data */
	window.EscortsKeyboard = new Keyboard({
		defaultEventType: 'keydown',
		events: {
			'pageup': function (e) {
				e.stop();
				var content = window.EscortPopup.content,
					current = content.getElement('.mootabs_title li.active'),
					tabs = content.tabs;

				var target = current.getPrevious();
				if ( ! target ) target = content.getElement('.mootabs_title').getLast('li');

				tabs.activate(target);
			},
			'pagedown': function (e) {
				e.stop();
				var content = window.EscortPopup.content,
					current = content.getElement('.mootabs_title li.active'),
					tabs = content.tabs;

				var target = current.getNext();
				if ( ! target ) target = content.getElement('.mootabs_title').getFirst('li');

				tabs.activate(target);
			}
		}
	}).deactivate();

	var popupClose = function(popup) {
		if ( popup.__mode == 'edit' ) {
			var old_data = window.popup_data;
			var new_data = popup.content.getElement('.form-common').toQueryString();
			/*console.log(old_data);
			console.log('ppppppppppppppppppppppp');
			console.log(new_data);*/
			/*if ( old_data != new_data ) {
				if ( confirm('Close without saving changes ?') ) {
					popup.close();
					//grid.load();
				}
			}
			else {*/
				popup.close();
				/*grid.load();
			}*/

		} else {
			popup.close();
		}
	};
	window.popupClose = popupClose;

	var ePpopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Place New Order', icon: 'add', action: function () {
				openOrderPopup();
			} },
			{ caption: 'Save', icon: 'accept', action: function () {
				tinyMCE.triggerSave();
				(Cubix.Popup.Actions.SaveValid.bind(ePpopup))(function (result) {
					grid.load();
					if ( 'create' == ePpopup.__mode ) {
						if ( confirm('Do you want to edit photos of this escort?') ) {
							window.PhotosPopup.setTitle('Photos of Escort');
							window.PhotosPopup.escort_id = result.escort_id;
							window.PhotosPopup.load('<?= $this->baseUrl() ?>/escorts-v2/photos?id=' + result.escort_id, function () {
								this.open();
							});
						}
					}
				});
			} },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close/*function() {
				popupClose(popup);
			}*/ }
		],
		width: 950,
		zIndex: function () { return Cubix.Popup.zIndex + 4 }
	});

	var addOrderButton = ePpopup.popup.getElement('.cx-popup-action-bar').getLast('.cx-button').setStyle('margin-right', '30px');

	window.EscortPopup = ePpopup;

	ePpopup.addEvent('close', function (e) {
		window.EscortsKeyboard.deactivate();
	});

	var OrdersPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save & Add Transfer', icon: 'add', action: function () {
				Cubix.Popup.Actions.SaveValid.bind(this)(function (resp) {
					this.fireEvent('addOrder', [resp.order_id]);
				});
			} },
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 1100,
		zIndex: function () { return Cubix.Popup.zIndex + 20 }
	});


	var PackagesPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Add', icon: 'add', action: function () {
				var old_instance = Cubix.Grid.Instance;
				Cubix.Grid.Instance = window.OrderPackagesGrid;
				(Cubix.Popup.Actions.SaveValid.bind(this))(function () {
					Cubix.Grid.Instance = old_instance;
				});
			} },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 950,
		zIndex: function () { return Cubix.Popup.zIndex + 30 }
	});

	var openOrderPopup = function() {
		window.PackagesPopup = PackagesPopup;
		window.OrderPopup = OrdersPopup;
		
		OrdersPopup.setTitle('Create New Order');
		OrdersPopup.load('/billing/orders/create?type=agency&id=' + window.EscortPopup.data.agency_id + '&name=' + window.EscortPopup.data.agency_name, function () {
			this.open();
		});
		
	};

	var popup_sms = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Send', icon: 'msg_send', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 390,
		zIndex: function () { return Cubix.Popup.zIndex + 12 }
	});
	
	window.SmsPopup = popup_sms;
	
	window.SmsPopup.addEvent('loaded', function () {		
		if ($('sms_template'))
			$('sms_template').addEvent('change', function(e) {
				e.stop();

				var id = $('sms_template').get('value');
				new Request({
					url: '<?= $this->baseUrl() ?>/sms/index/template?id=' + id,
					onSuccess: function (resp) {
						$('text').set('value', resp);
					}.bind(this)
				}).send();
			});
	});

	/* SMS THREAD */

	var read_thread_popup = new Cubix.Popup.Ajax({
		abar: [
			
		],
		width: 510,
		zIndex: function () { return Cubix.Popup.zIndex + 35 }
	});
	window.read_thread_popup = read_thread_popup;
	
	window.read_thread_popup.addEvent('loaded', function () {
		var self = this;

		self.popup.getElements('.cx-popup-content').setStyles({'padding':'0px', border:'none'});
		self.popup.getElements('.cx-popup-action-bar').setStyles({'display':'none'});

		if ($('sms_template'))
			$('sms_template').addEvent('change', function(e) {
				e.stop();

				var id = $('sms_template').get('value');
				new Request({
					url: '<?= $this->baseUrl() ?>/sms/index/template?id=' + id,
					onSuccess: function (resp) {
						$('text').set('value', resp);
					}.bind(this)
				}).send();
			});

		 var scroll = new Fx.Scroll(this.content.getElements('.messages')[0]); 
		 scroll.toBottom();

		 this.content.getElements('.send-msg-btn').addEvent('click', function(e){
		 	e.stop();

		 	new Request({
				url: '<?= $this->baseUrl() ?>/sms/index/send',
				method: 'post',
				data: {
					text : self.content.getElements('.text-msg')[0].get('value'),
					phone_number : self.content.getElements('input[name=phone_number]')[0].get('value'),
					phone_number_original : self.content.getElements('input[name=phone_number]')[0].get('value'),
					sms_inbox_id : self.content.getElements('input[name=id]')[0].get('value')
				},
				onSuccess: function (resp) {
					
					new Request({
						url: '<?= $this->baseUrl() ?>/sms/index/read-thread',
						method: 'post',
						data: {is_ajax : 1, phone_number : self.content.getElements('input[name=phone_number]')[0].get('value')},
						onSuccess: function (resp) {
							self.content.getElements('.messages')[0].set('html', resp);
							 var scroll = new Fx.Scroll(self.content.getElements('.messages')[0]); 
		 					 scroll.toBottom();

		 					 self.content.getElements('.text-msg')[0].set('value', '');
						}.bind(this)
					}).send();

				}.bind(this)
			}).send();
		 });
		 
	});
	/* SMS THREAD */
	
	var qEmail = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Send', icon: 'msg_send', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 390,
		zIndex: function () { return Cubix.Popup.zIndex + 12 }
	});
	window.qEmail = qEmail;

	window.qEmail.addEvent('loaded', function () {

		var self = this;

		if (self.content.getElement('#email_template'))
			self.content.getElement('#email_template').addEvent('change', function(e) {
				e.stop();

				var id = self.content.getElement('#email_template').get('value');
				new Request({
					url: '<?= $this->baseUrl() ?>/sms/emailtemplates/get?id=' + id,
					onSuccess: function (resp) {
						resp = JSON.decode(resp);
						if ( resp ) {
							self.content.getElement('#from').set('value', resp.from);
							self.content.getElement('#subject').set('value', resp.subject);
							self.content.getElement('#message').set('html', resp.body);
							self.content.getElement('#email_signature').set('html', resp.signature);
						} else {
							self.content.getElement('#from').set('value', '');
							self.content.getElement('#subject').set('value', '');
							self.content.getElement('#message').set('html', '');
							self.content.getElement('#email_signature').set('html', '');
						}
					}.bind(this)
				}).send();
			});
	});

	var photos_popup = new Cubix.Popup.Ajax({
		width: 896,
		zIndex: function () { return Cubix.Popup.zIndex + 14 }
	});

	window.PhotosPopup = photos_popup;

	photos_popup.addEvent('loaded', function () { new Escort.Photos(photos_popup); });
	/* Agency and Escort popups data */
	
	grid.addEvent('loaded', function () {

		$$('.cc-approve-btn').addEvent('click', function (e) {
			e.stop();

			if ( confirm('Do you want to change order status ?') ) {
				var order_id = this.get('rel');
				
				new Request({
					url: '<?= $this->baseUrl() ?>/billing/orders/change-cc-order-status?order_id=' + order_id,
					onSuccess: function (resp) {
						grid.load();
					}.bind(this)
				}).send();
				
			}
		});

		$$('span.user-type-escort a').addEvent('click', function (e) {
			e.stop();

			var data = this.getParent('tr').rowData;
			ePpopup.__mode = 'edit';

			window.EscortPopup.data = data;
			addOrderButton.setStyle('display', 'block')
			window.EscortPopup.setTitle('Edit Escort ' + data.showname);
			window.EscortPopup.load('<?= $this->baseUrl() ?>/escorts-v2/edit?id=' + data.escort_id, function () {
				this.open();
			});
		});

		

		if ( this.data.total ) {
			$$('.total-paid b').set('html', this.data.total);
		}
		
		if ( this.data.difference ) {
			$$('.difference b').set('html', this.data.difference);
		}
	});

	new Cubix.Button($('btn-create'), { onClick: function () {
		popup.setTitle('Create New Order');
		popup.load('/billing/orders/create', function () {
			this.open();
		});
	}, icon: 'add', caption: 'Create New Order', classes: 'mr10' });

	new Cubix.Button($('btn-refresh'), { onClick: function () {
		grid.load();
	}, icon: 'refresh', caption: 'Search', classes: '' });

	var clearForm = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');
			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.set('value', '');
				}
				else {
					input.set('checked', '');
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		selects.each(function(select) {
			select.set('value', '');
		});
	};

	new Cubix.Button($('btn-reset'), { onClick: function () {
		clearForm();
		grid.load();
	}, icon: 'undo', caption: 'Reset Form', classes: 'ml20' });

	var initFormSubmit = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');

			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.addEvent('keyup', function(event) {
						if( event.key == 'enter' ) {
							grid.load();
						}
					});
				}
				/*else {
					input.addEvent('change', function(){
						grid.load();
					});
				}*/
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		/*selects.addEvent('change', function(){
			grid.load();
		});*/
	};

	initFormSubmit();
	
	/*new Cubix.Button($('btn-total'), { onClick: function () {
		popupCount.setTitle('Total Paid');
		popupCount.load('/billing/orders/data-count?type=total&' + $('search-form').toQueryString(), function () {
			this.open();
		});
	}, icon: 'money_dollar', caption: 'Total Paid', classes: 'mr10' });
	
	new Cubix.Button($('btn-difference'), { onClick: function () {
		popupCount.setTitle('Difference');
		popupCount.load('/billing/orders/data-count?type=difference&' + $('search-form').toQueryString(), function () {
			this.open();
		});
	}, icon: 'money_dollar', caption: 'Difference', classes: 'mr10' });
	
	var popupCount = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 300
	});*/
};
</script>

<div class="form-common gray c-filter-form">
	<form id="search-form" action="">
		<div class="fleft">
			<fieldset class="inner mb10">
				<legend>General</legend>

				<div class="inner">
					<label for="f-ads-id">Ads ID</label>
					<input type="text" value="<?= $this->filter_params['ads_id'] ?>" name="ads_id" class="txt w6" id="f-escort-id" />
				</div>
				
				<div class="inner">
					<label for="f-email">Email</label>
					<input type="text" value="<?= $this->filter_params['email'] ?>" name="email" class="txt w14" id="f-email" />
				</div>

				<div class="clear"></div>

				<? $bu_user = Zend_Auth::getInstance()->getIdentity(); ?>

				
				
				<?/* if ( $bu_user->type == 'superadmin' || $bu_user->type == 'admin' || $bu_user->type == 'payments manager' ): ?>				
					<div class="inner">
						<label for="f-sales-user-id">Vendor</label>
						<select name="sales_user_id" id="f-sales-user-id" class="w14">
							<option value="">- any -</option>
							<?php $model = new Model_Moderators(); $sales = $model->getByType(array('sales clerk','sales manager', 'sales', 'admin', 'superadmin'), Cubix_Application::getId()) ?>
							<?php foreach($sales as $sale): ?>
								<option value="<?= $sale->id ?>" <?= ($sale->id == $this->filter_params['sales_user_id']) ? 'selected="selected"' : '' ?>><?= $sale->username ?></option>
							<?php endforeach; ?>
						</select>
					</div>
				<? else: ?>
					<div class="inner disabled">
						<label for="f-sales-user-id">Vendor</label>
						<select name="sales_user_id" id="f-sales-user-id" class="w14" disabled="disabled">
							<option value="<?= $bu_user->id ?>"><?= $bu_user->username ?></option>
						</select>
					</div>				 
				<? endif; */?>
				<div class="clear"></div>

				<div class="inner">
					<label for="f-status">Status</label>
					<? $selected_f = $this->filter_params['status']; ?>
					<? if ($this->request()->status): ?>
						<? $selected_f = $this->request()->status ?>
					<? endif; ?>
					<?= $this->selectBox('status', 'f-status', Model_Billing_Orders::$STATUS_LABELS, 'w17', $selected_f, 'any') ?>
				</div>
				

				<?/*<div class="inner">
					<label for="f-transfer_type_id">Transfer Type</label>
					<select id="f-transfer_type_id" name="transfer_type_id" class="w12">
						<option value=""> - any - </option>
						<? $t_model = new Model_Billing_Transfers() ?>
						<? foreach ( $t_model->getTransferTypes() as $type ): ?>
						<option value="<?= $type->id ?>" <?= ( $this->filter_params['transfer_type_id'] == $type->id ) ? 'selected="selected"' : '' ?> ><?= $type->name ?></option>
						<? endforeach ?>
					</select>
				</div>*/?>

				<div class="inner">
					<label for="f-order-id">Order ID</label>
					<input type="text" class="txt w8" name="order_id" id="f-order-id" value="<?= $this->filter_params['order_id'] ?>" />
				</div>
				
				<div class="clear"></div>
			</fieldset>

			<fieldset class="inner mb10">
				<legend>Date</legend>

				<div class="inner">
					<label for="f-filter-by">Filter By</label>
					<select id="f-filter-by" name="filter_by" class="w16 f-filter-by">
						<option value=""> - any - </option>
						<option value="order_date" <?= ($this->filter_params['filter_by'] == 'order_date') ? 'selected="selected"' : '' ?> >Order Date</option>
						<option value="payment_date" <?= ($this->filter_params['filter_by'] == 'payment_date') ? 'selected="selected"' : '' ?>>Payment Date</option>
					</select>
				</div>

				<div class="inner">
					<label>Date:</label>
					<select id="f-dates-defined" name="dates_defined" class="w16 f-dates-defined" disabled="disabled">
						<option value=""> - any - </option>
						<option value="today">Today</option>
						<option value="yesterday">Yesterday</option>
						<option value="last_7_days">Last 7 Days</option>
						<option value="this_month">This Month</option>
						<option value="last_month">Last Month</option>
					</select>
				</div>
				<div class="clear"></div>
				<div class="inner">
					<label>From</label>
					<input id="f-date-from" type="text" class="txt w147 f-date-from" name="date_from" value="" disabled="disabled" />
				</div>

				<div class="inner" style="padding-top: 25px">
					<span> - </span>
				</div>

				<div class="inner">
					<label>To</label>
					<input id="f-date-to" type="text" class="txt w147 f-date-to" name="date_to" value="" disabled="disabled" />
				</div>
				
				<div class="clear"></div>
				
			</fieldset>

			<div class="clear"></div>

			
		</div>

		<div class="clear"></div>

		<a id="btn-refresh"></a>
		<a id="btn-reset"></a>
		<div class="clear"></div>
	</form>

</div><!-- form-common -->

<div class="action-bar mt10">
	<a href="" id="btn-create"></a>
	<? /*<a href="" id="btn-total"></a>
	<a href="" id="btn-difference"></a>
	
	
	<div class="export-button" style="float: right; margin: 5px 5px 0 0; font-weight: bold">
		<a href="/billing/orders/export" onclick="return confirm('You are trying to export a huge amount of data, that could take quite long time...\nAre you sure you want to proceed?')" id="export-link">
			Download CSV
		</a>
	</div>*/ ?>
	
	
	<div class="clear"></div>
</div>

<div id="ajax-dest">
	<div id="cx-grid">
	</div>
</div>
